<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<artifactId>ocr-parent</artifactId>
		<groupId>nl.krocket.ocr</groupId>
		<version>0.0.1-SNAPSHOT</version>
	</parent>

	<artifactId>ocr</artifactId>
	<packaging>jar</packaging>

	<dependencies>

		<dependency>
			<groupId>org.bytedeco.javacpp-presets</groupId>
			<artifactId>tesseract</artifactId>
			<version>3.04-1.1</version>
		</dependency>

		<dependency>
            <groupId>org.bytedeco.javacpp-presets</groupId>
            <artifactId>opencv</artifactId>
            <version>3.0.0-1.1</version>
        </dependency>
        
        <dependency>
		    <groupId>com.drewnoakes</groupId>
		    <artifactId>metadata-extractor</artifactId>
		    <version>2.8.1</version>
		</dependency>

		<dependency>
			<groupId>org.slf4j</groupId>
        	<artifactId>slf4j-log4j12</artifactId>
			<version>1.7.5</version>
			<scope>provided</scope>
		</dependency>
		
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.11</version>
			<scope>test</scope>
		</dependency>


	</dependencies>

	<build>
		<plugins>
			<!-- Force on JDK17 -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.0</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>